SuSE 11.1 Security Update : glibc (SAT Patch Number 4572)

High Nessus Plugin ID 55441


The remote SuSE 11 host is missing one or more security updates.


This update fixes the following security issues found in glibc :

- Specially crafted input to the fnmatch function could cause an integer overflow. (CVE-2011-1071)

- The output of the 'locale' command was not properly quoted. (CVE-2011-1095)

- Unprivileged users could read the NIS shadow database.

- Don't search the current directory if $ORIGIN is in RPATH of libraries called by setuid binaries.
(CVE-2011-0536) The update also includes fixes for non-security bugs. Please refer to the package changelog for details.


Apply SAT patch number 4572.

See Also

Plugin Details

Severity: High

ID: 55441

File Name: suse_11_glibc-110516.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2011/06/28

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:glibc, p-cpe:/a:novell:suse_linux:11:glibc-32bit, p-cpe:/a:novell:suse_linux:11:glibc-devel, p-cpe:/a:novell:suse_linux:11:glibc-devel-32bit, p-cpe:/a:novell:suse_linux:11:glibc-html, p-cpe:/a:novell:suse_linux:11:glibc-i18ndata, p-cpe:/a:novell:suse_linux:11:glibc-info, p-cpe:/a:novell:suse_linux:11:glibc-locale, p-cpe:/a:novell:suse_linux:11:glibc-locale-32bit, p-cpe:/a:novell:suse_linux:11:glibc-profile, p-cpe:/a:novell:suse_linux:11:glibc-profile-32bit, p-cpe:/a:novell:suse_linux:11:nscd, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/05/16

Reference Information

CVE: CVE-2010-0015, CVE-2011-0536, CVE-2011-1071, CVE-2011-1095

CWE: 255